Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class AuditCertificate

    java.lang.Object
      oracle.ifs.common.AuditCertificate

All Implemented Interfaces:
  java.io.Serializable, LooselyBoundedCacheable

    public final class AuditCertificate

extends java.lang.Object
implements java.io.Serializable, LooselyBoundedCacheable

An AuditCertificate represents the data that comprises an Audit certificate.

See Also:
  Serialized Form

Constructor Summary
`AuditCertificate()` Constructs an AuditCertificate.
`AuditCertificate(long targetId, long targetClassId, boolean objectFreed, long createDate, long creatorId, long domainId, boolean secured, long freeDate, long deletorId, java.lang.String targetName, java.lang.String targetClassName)` Constructs an AuditCertificate.

Method Summary
`void` | `added(java.lang.Object id)` Called when an instance is added to the cache.
`boolean` | `canPurge()` Gets whether the item can be purged from the the BoundedCache.
`java.util.Date` | `getCreateDate()` Gets the date the target object was created.
`long` | `getCreatorId()` Gets the ID of the effective user that created the object.
`long` | `getDeletorId()` Gets the ID of the effective user that freed the object.
`long` | `getDomainId()` Gets the Domain identifier for the target object.
`java.util.Date` | `getFreeDate()` Gets the date the target object was freed.
`long` | `getTargetClassId()` Gets the Class ID of the target object.
`java.lang.String` | `getTargetClassName()` Gets the name of the target object's class.
`long` | `getTargetId()` Gets the ID of the target object.
`java.lang.String` | `getTargetName()` Gets the name of the target object.
`boolean` | `isObjectFreed()` Returns indication as to whether the object has been freed.
`boolean` | `isSecured()` Returns indication as to whether the certificate is secured.
`void` | `overrideTargetClassName(AuditExecutor executor, java.lang.String targetClass)` Sets the target's class name.
`void` | `overrideTargetName(AuditExecutor executor, java.lang.String targetName)` Sets the target name.
`void` | `removed(java.lang.Object id)` Called when an instance is removed to the cache.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuditCertificate

    public AuditCertificate()

  Constructs an AuditCertificate.

### AuditCertificate

    public AuditCertificate(long targetId,
                            long targetClassId,
                            boolean objectFreed,
                            long createDate,
                            long creatorId,
                            long domainId,
                            boolean secured,
                            long freeDate,
                            long deletorId,
                            java.lang.String targetName,
                            java.lang.String targetClassName)
                     throws IfsException

  Constructs an AuditCertificate.

  Parameters:
    `targetId` - the target object ID
    `targetClassId` - the target object class ID
    `objectFreed` - whether the target object has been freed
    `createDate` - the time the target object was created
    `creatorId` - the ID of the user that created the target object
    `domainId` - the ID of the domain context for the target object
    `secured` - whether the certificate is considered secured
    `freeDate` - the time the target object was freed
    `deletorId` - the ID of the user that freed the target object
    `targetName` - the name of the target object
    `targetClassName` - the name of the target object's class
  Throws:
    `IfsException`

Method Detail

### getTargetId

    public long getTargetId()

  Description copied from class: `AuditCertificate`
  Gets the ID of the target object.

  Returns:
    the ID of the target object

### getTargetClassId

    public long getTargetClassId()

  Description copied from class: `AuditCertificate`
  Gets the Class ID of the target object.

  Returns:
    the Class ID of the target object

### isObjectFreed

    public boolean isObjectFreed()

  Description copied from class: `AuditCertificate`
  Returns indication as to whether the object has been freed.

  Returns:
    true if the object has been freed; false otherwise

### getCreatorId

    public long getCreatorId()

  Description copied from class: `AuditCertificate`
  Gets the ID of the effective user that created the object.

  Returns:
    the ID of the effective user that created the object

### getDomainId

    public long getDomainId()

  Description copied from class: `AuditCertificate`
  Gets the Domain identifier for the target object.

  Returns:
    the Domain ID

### isSecured

    public boolean isSecured()

  Description copied from class: `AuditCertificate`
  Returns indication as to whether the certificate is secured.

  Returns:
    true if the certificate is secured; false otherwise

### getCreateDate

    public java.util.Date getCreateDate()

  Description copied from class: `AuditCertificate`
  Gets the date the target object was created.

  Returns:
    the date the target object was created

### getFreeDate

    public java.util.Date getFreeDate()

  Description copied from class: `AuditCertificate`
  Gets the date the target object was freed.

  Returns:
    the date the target object was freed

### getDeletorId

    public long getDeletorId()

  Description copied from class: `AuditCertificate`
  Gets the ID of the effective user that freed the object.

  Returns:
    the ID of the effective user that freed the object

### getTargetName

    public java.lang.String getTargetName()

  Description copied from class: `AuditCertificate`
  Gets the name of the target object.

  Returns:
    the name of the target object

### getTargetClassName

    public java.lang.String getTargetClassName()

  Description copied from class: `AuditCertificate`
  Gets the name of the target object's class.

  Returns:
    name of the target object's class

### canPurge

    public boolean canPurge()
                     throws IfsException

  Description copied from class: `AuditCertificate`
  Gets whether the item can be purged from the the BoundedCache.

  The caller of this method indicates a desire to purge the object. The implementation should treat this as a purge request, but can return false if the item should not be purged.

  Specified by:
    `canPurge` in interface `LooselyBoundedCacheable`
  Returns:
    whether the item can be purged.
  Throws:
    `IfsException` - if operation fails.

### added

    public void added(java.lang.Object id)

  Description copied from class: `AuditCertificate`
  Called when an instance is added to the cache.

  Specified by:
    `added` in interface `LooselyBoundedCacheable`
  Parameters:
    `id` - the id used for this entry in the cache

### removed

    public void removed(java.lang.Object id)

  Description copied from class: `AuditCertificate`
  Called when an instance is removed to the cache.

  Specified by:
    `removed` in interface `LooselyBoundedCacheable`
  Parameters:
    `id` - the id used for this entry in the cache

### overrideTargetName

    public void overrideTargetName(AuditExecutor executor,
                                   java.lang.String targetName)

  Description copied from class: `AuditCertificate`
  Sets the target name.

  This is called before returning a certificate for an object that is not yet freed.

  Parameters:
    `executor` - the executor constructing this event; must not be null
    `targetName` - the name of the target object

### overrideTargetClassName

    public void overrideTargetClassName(AuditExecutor executor,
                                        java.lang.String targetClass)

  Description copied from class: `AuditCertificate`
  Sets the target's class name.

  This is called before returning a certificate for an object that is not yet freed.

  Parameters:
    `executor` - the executor constructing this event; must not be null
    `targetClass` - the class name of the target object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD